"""
 UI related functions.
"""

from locals import *

def lower_surface ( surface ):
	w, h = surface.get_size ()
	w = w - 1
	h = h - 1
	pygame.draw.line ( surface, DARK_EDGE_COLOR, ( 0, 0 ), ( w, 0 ) )
	pygame.draw.line ( surface, DARK_EDGE_COLOR, ( 0, 0 ), ( 0, w ) )
	pygame.draw.line ( surface, LIGHT_EDGE_COLOR, ( 0, h ), ( w, h ) )
	pygame.draw.line ( surface, LIGHT_EDGE_COLOR, ( w, 0 ), ( w, h ) )
	return surface

def raise_surface ( surface ):
	w, h = surface.get_size ()
	w = w - 1
	h = h - 1
	pygame.draw.line ( surface, LIGHT_EDGE_COLOR, ( 0, 0 ), ( w, 0 ) )
	pygame.draw.line ( surface, LIGHT_EDGE_COLOR, ( 0, 0 ), ( 0, w ) )
	pygame.draw.line ( surface, DARK_EDGE_COLOR, ( 0, h ), ( w, h ) )
	pygame.draw.line ( surface, DARK_EDGE_COLOR, ( w, 0 ), ( w, h ) )
	return surface
